
-- | Comparing the Chern root vs. the Chern class versions for stuff in
-- "Math.RootLoci.CSM.Equivariant.PushForward"

{-# LANGUAGE Rank2Types, GADTs, TypeFamilies #-}
module Tests.RootVsClass.PushForward where

--------------------------------------------------------------------------------

import Data.Proxy

import Math.Combinat.Partitions

import Math.RootLoci.Algebra
import Math.RootLoci.Geometry
import Math.RootLoci.Misc

import Math.RootLoci.CSM.Equivariant.PushForward

import Tests.Common
import Tests.RootVsClass.Check

import Test.Tasty
import Test.Tasty.HUnit

--------------------------------------------------------------------------------

all_tests = testGroup "pushforward"
  [ testCase "tau"             (forAllInt 20 "failed" prop_tau    ) 
  , testCase "tauEta"          (forAllInt 20 "failed" prop_tauEta ) 
  , testCase "piStarTableAff"  (forAllInt 15 "failed" prop_piStarTableAff  ) 
  , testCase "piStarTableProj" (forAllInt 15 "failed" prop_piStarTableProj ) 
  ]
  
prop_tau    n = checkZMod (tau    n)
prop_tauEta n = checkEta  (tauEta n)

prop_piStarTableAff  n = checkArrZMod (piStarTableAff  n)
prop_piStarTableProj n = checkArrGam  (piStarTableProj n)

--------------------------------------------------------------------------------
