
-- | The test-suite

module Main where

--------------------------------------------------------------------------------

import Test.Tasty

-- import Test.Tasty.HUnit
-- import Test.Tasty.SmallCheck as SC
-- import Test.Tasty.QuickCheck as QC

import qualified Tests.RootVsClass.Ordered 
import qualified Tests.RootVsClass.Recursive
import qualified Tests.RootVsClass.Direct
import qualified Tests.RootVsClass.PushForward
import qualified Tests.RootVsClass.Umbral

import qualified Tests.Dual
import qualified Tests.Pushforward

import qualified Tests.CSM.Equivariant
import qualified Tests.CSM.Projective

--------------------------------------------------------------------------------

main = defaultMain tests

tests :: TestTree
tests = testGroup "Tests"  
  [ Tests.Pushforward.all_tests
  , Tests.CSM.Projective.all_tests
  , Tests.CSM.Equivariant.all_tests
  , rootVsClass
  , Tests.Dual.all_tests
  ]

rootVsClass :: TestTree  
rootVsClass = testGroup "chern root vs. chern class tests"
  [ Tests.RootVsClass.Ordered.all_tests
  , Tests.RootVsClass.Recursive.all_tests
  , Tests.RootVsClass.Direct.all_tests
  , Tests.RootVsClass.PushForward.all_tests
  , Tests.RootVsClass.Umbral.all_tests
  ]

--------------------------------------------------------------------------------

