(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    139568,       4053]
NotebookOptionsPosition[    138197,       4007]
NotebookOutlinePosition[    138552,       4023]
CellTagsIndexPosition[    138509,       4020]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", 
     RowBox[{"\[Equal]", " ", 
      RowBox[{
      "EQUIVARIANT", " ", "MOTIVIC", " ", "CHERN", " ", "CLASSES", " ", "OF", 
       " ", "COINCIDENT", " ", "ROOT", " ", "LOCI"}]}], " ", "==="}], "="}], 
   " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"<<", "Combinatorica`"}]}]], "Input",
 CellChangeTimes->{{3.801069380385396*^9, 3.801069381601409*^9}, {
  3.801071567533555*^9, 3.801071572467383*^9}, {3.801135940168188*^9, 
  3.801135957390024*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Combinatorica Graph and Permutations functionality has \
been superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{3.801136075045025*^9, 3.80113681966651*^9}]
}, Open  ]],

Cell[" ", "Text",
 Editable->False,
 Selectable->False,
 CellFrame->{{0, 0}, {0, 2}},
 ShowCellBracket->False,
 CellMargins->{{0, 0}, {1, 1}},
 CellElementSpacings->{"CellMinHeight"->1},
 CellFrameMargins->0,
 CellFrameColor->RGBColor[0, 0, 1],
 CellSize->{Inherited, 4}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", " ", 
    RowBox[{"NORMALIZATION", " ", "in", " ", "K", 
     RowBox[{"(", 
      RowBox[{"P", "^", "n"}], ")"}]}], " ", "==="}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Weights", " ", "of", " ", 
    RowBox[{"Sym", "^", "n"}], " ", 
    RowBox[{"C", "^", "2"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{"L", ",", "X", ",", "Y"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"WT", "[", 
     RowBox[{"n_", ",", "i_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"X", "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "i"}], ")"}]}], "*", 
     RowBox[{"Y", "^", "i"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"the", " ", "relation", " ", "in", " ", "K", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"P", "^", "n"}], ")"}], ".", " ", 
       RowBox[{"Convention", ":", " ", "\[IndentingNewLine]", 
        RowBox[{
        "L", " ", "is", " ", "the", " ", "tautological", " ", "line", " ", 
         "bundle"}]}]}]}], ",", " ", "\[IndentingNewLine]", "   ", 
     RowBox[{
      RowBox[{"c_", "1", 
       RowBox[{"(", "X", ")"}]}], " ", "=", " ", 
      RowBox[{"-", "alpha"}]}], ",", " ", 
     RowBox[{
      RowBox[{"c_", "1", 
       RowBox[{"(", "Y", ")"}]}], " ", "=", " ", 
      RowBox[{"-", "beta"}]}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"KREL", "[", "n_", "]"}], ":=", 
    RowBox[{"Product", "[", 
     RowBox[{
      RowBox[{"1", "-", 
       RowBox[{"L", "*", 
        RowBox[{"WT", "[", 
         RowBox[{"n", ",", "i"}], "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"normal", " ", "form", " ", "of", " ", 
     RowBox[{"L", "^", 
      RowBox[{"(", 
       RowBox[{"n", "+", "1"}], ")"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Clear", "[", "Lpow$nplus1", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Lpow$nplus1", "[", "n_", "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"Lpow$nplus1", "[", "n", "]"}], "=", " ", 
     RowBox[{"Expand", "[", 
      RowBox[{
       RowBox[{"L", "^", 
        RowBox[{"(", 
         RowBox[{"n", "+", "1"}], ")"}]}], "-", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"n", "+", "1"}], ")"}]}], 
        RowBox[{
         RowBox[{"KREL", "[", "n", "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"X", "*", "Y"}], ")"}], "^", 
          RowBox[{"Binomial", "[", 
           RowBox[{
            RowBox[{"n", "+", "1"}], ",", "2"}], "]"}]}]}]}]}], "]"}]}]}], 
   "\n", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"(", "unefficiently", ")"}], " ", "normalize", " ", "a", " ", 
     "polynomial", " ", "in", " ", "L"}], " ", "*)"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Clear", "[", "KnormalizeSlow", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"KnormalizeSlow", "[", 
     RowBox[{"n_", ",", " ", "Z0_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Z", "=", 
         RowBox[{"Expand", "[", "Z0", "]"}]}], ",", "m"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"m", "=", 
        RowBox[{"Exponent", "[", 
         RowBox[{"Z", ",", "L"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"m", "\[LessEqual]", "n"}], ",", "Z", ",", 
         RowBox[{"KnormalizeSlow", "[", 
          RowBox[{"n", ",", 
           RowBox[{"Z", "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"L", "^", "m"}], "\[Rule]", 
              RowBox[{
               RowBox[{"L", "^", 
                RowBox[{"(", 
                 RowBox[{"m", "-", "n", "-", "1"}], ")"}]}], "*", 
               RowBox[{"Lpow$nplus1", "[", "n", "]"}]}]}], "}"}]}]}], "]"}]}],
         "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Table", " ", "of", " ", "normal", " ", "forms", " ", "of", " ", 
     RowBox[{"L", "^", "p"}]}], " ", "*)"}], "\n", 
   RowBox[{"Clear", "[", "LPowXY", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LPowXY", "[", 
     RowBox[{"n_", ",", "k_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"LPowXY", "[", 
      RowBox[{"n", ",", "k"}], "]"}], " ", "=", " ", 
     RowBox[{"Expand", "[", 
      RowBox[{"KnormalizeSlow", "[", 
       RowBox[{"n", ",", 
        RowBox[{"L", "^", "k"}]}], "]"}], "]"}]}]}], "\n", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"MoreE", " ", "eficient", " ", "normalization", " ", "in", " ", 
     RowBox[{"K", "^", 
      RowBox[{"(", 
       RowBox[{"P", "^", "n"}], ")"}]}], " ", "\[IndentingNewLine]", 
     RowBox[{"usage", ":", " ", 
      RowBox[{"KnormalizeVarXY", "[", 
       RowBox[{"dim", ",", "L", ",", "expr"}], "]"}]}]}], " ", "*)"}], "\n", 
   RowBox[{"Clear", "[", "KnormalizeVarXY", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"KnormalizeVarXY", "[", 
     RowBox[{"n_", ",", "uuu_", ",", "Z0_"}], "]"}], ":=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"m", ",", "Z"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Z", "=", 
        RowBox[{"Expand", "[", "Z0", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"m", "=", 
        RowBox[{"Exponent", "[", 
         RowBox[{"Z", ",", "uuu"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Expand", "[", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{"Z", ",", "uuu", ",", "k"}], "]"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"LPowXY", "[", 
              RowBox[{"n", ",", "k"}], "]"}], "/.", 
             RowBox[{"{", 
              RowBox[{"L", "\[Rule]", "uuu"}], "}"}]}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", "m"}], "}"}]}], "]"}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.801069536445114*^9, 3.8010695374127903`*^9}, {
  3.801135975104397*^9, 3.801136088365362*^9}}],

Cell[" ", "Text",
 Editable->False,
 Selectable->False,
 CellFrame->{{0, 0}, {0, 2}},
 ShowCellBracket->False,
 CellMargins->{{0, 0}, {1, 1}},
 CellElementSpacings->{"CellMinHeight"->1},
 CellFrameMargins->0,
 CellFrameColor->RGBColor[0, 0, 1],
 CellSize->{Inherited, 4}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", " ", 
    RowBox[{"PUSHFORWARD", " ", "ALONG", " ", "PSI", " ", 
     RowBox[{"(", 
      RowBox[{"THE", " ", "MULTIPLICATION", " ", "MAP"}], ")"}]}], " ", 
    "==="}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"formulas", " ", "for", " ", 
    RowBox[{"(", 
     RowBox[{"psi_", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1"}], "}"}]}], ")"}], 
    RowBox[{"_", "!"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"L1", "^", "p"}], "*", 
      RowBox[{"L2", "^", "q"}]}], ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", "PSI$N1f", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PSI$N1f", "[", 
     RowBox[{"n_", ",", "0", ",", "1"}], "]"}], ":=", 
    RowBox[{"L", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"X", "^", 
         RowBox[{"(", 
          RowBox[{"n", "+", "1"}], ")"}]}], "-", 
        RowBox[{"Y", "^", 
         RowBox[{"(", 
          RowBox[{"n", "+", "1"}], ")"}]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"X", "-", "Y"}], ")"}]}]}]}], "\n", 
   RowBox[{
    RowBox[{"PSI$N1f", "[", 
     RowBox[{"n_", ",", "p_", ",", "0"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"L", "^", "p"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"X", "^", 
          RowBox[{"(", 
           RowBox[{"p", "+", "1"}], ")"}]}], "-", 
         RowBox[{"Y", "^", 
          RowBox[{"(", 
           RowBox[{"p", "+", "1"}], ")"}]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"X", "-", "Y"}], ")"}]}]}], "+", 
     RowBox[{
      RowBox[{"L", "^", 
       RowBox[{"(", 
        RowBox[{"p", "+", "1"}], ")"}]}], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"X", "^", 
           RowBox[{"(", 
            RowBox[{"n", "+", "1"}], ")"}]}], "*", 
          RowBox[{"Y", "^", 
           RowBox[{"(", 
            RowBox[{"p", "+", "1"}], ")"}]}]}], "-", 
         RowBox[{
          RowBox[{"Y", "^", 
           RowBox[{"(", 
            RowBox[{"n", "+", "1"}], ")"}]}], " ", 
          RowBox[{"X", "^", 
           RowBox[{"(", 
            RowBox[{"p", "+", "1"}], ")"}]}]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"X", "-", "Y"}], ")"}]}]}]}]}], "\n", 
   RowBox[{
    RowBox[{"PSI$N1f", "[", 
     RowBox[{"n_", ",", "p_", ",", "q_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"p", "\[GreaterEqual]", "q"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"L", "^", "q"}], "*", 
       RowBox[{"PSI$N1f", "[", 
        RowBox[{"n", ",", 
         RowBox[{"p", "-", "q"}], ",", "0"}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"L", "^", "p"}], "*", 
       RowBox[{"PSI$N1f", "[", 
        RowBox[{"n", ",", "0", ",", 
         RowBox[{"q", "-", "p"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
    "\n", "\[IndentingNewLine]", 
   RowBox[{"Clear", "[", "PSI$N1", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PSI$N1", "[", 
     RowBox[{"n_", ",", "p_", ",", "q_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"PSI$N1", "[", 
      RowBox[{"n", ",", "p", ",", "q"}], "]"}], "=", 
     RowBox[{"Expand", "[", 
      RowBox[{"Factor", "[", 
       RowBox[{"PSI$N1f", "[", 
        RowBox[{"n", ",", "p", ",", "q"}], "]"}], "]"}], "]"}]}]}], "\n", 
   "\[IndentingNewLine]", 
   RowBox[{"Clear", "[", "newPsiBang2", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"newPsiBang2", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"n_", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"var1_", ",", "var2_"}], "}"}], ",", "outvar_", ",", "ZZ_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "Z", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Z", "=", 
        RowBox[{"Expand", "[", "ZZ", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Expand", "[", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"Coefficient", "[", 
              RowBox[{"Z", ",", "var1", ",", "i"}], "]"}], ",", "var2", ",", 
             "j"}], "]"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"PSI$N1", "[", 
              RowBox[{"n", ",", "i", ",", "j"}], "]"}], "/.", 
             RowBox[{"{", 
              RowBox[{"L", "\[Rule]", "outvar"}], "}"}]}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "0", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\n", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"find", " ", "elements", " ", "in", " ", "K", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"P", "^", "m"}], " ", "x", " ", 
       RowBox[{"P", "^", "1"}]}], ")"}], " ", "such", " ", "that", " ", 
     "their", " ", "pushforward", " ", "to", " ", "K", 
     RowBox[{"(", 
      RowBox[{"P", "^", 
       RowBox[{"(", 
        RowBox[{"m", "+", "1"}], ")"}]}], ")"}], " ", "is", " ", 
     RowBox[{"{", 
      RowBox[{"1", ",", "L", ",", 
       RowBox[{"L", "^", "2"}], ",", 
       RowBox[{"...", 
        RowBox[{"L", "^", 
         RowBox[{"(", 
          RowBox[{"m", "+", "1"}], ")"}]}]}]}], "}"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"findBasis$M1", "[", "m_", "]"}], ":=", 
    RowBox[{
     RowBox[{"findBasis$M1", "[", "m", "]"}], "=", "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "vars", ",", "A", ",", "B", ",", "list", ",", "i", ",", "j", ",", "k",
          ",", "eqs", ",", "sols", ",", "sol"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"vars", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Subscript", "[", 
            RowBox[{"a", ",", "i"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"A", "=", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Subscript", "[", 
              RowBox[{"a", ",", "i"}], "]"}], "*", 
             RowBox[{"L1", "^", "i"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "0", ",", "m"}], "}"}]}], "]"}], "+", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Subscript", "[", 
            RowBox[{"a", ",", 
             RowBox[{"m", "+", "1"}]}], "]"}], "*", 
           RowBox[{"L1", "^", "m"}], "*", "L2"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"B", "=", 
         RowBox[{"newPsiBang2", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"m", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"L1", ",", "L2"}], "}"}], ",", "L", ",", "A"}], "]"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"list", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"Null", ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "0"}], ",", 
          RowBox[{"k", "\[LessEqual]", 
           RowBox[{"m", "+", "1"}]}], ",", 
          RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"eqs", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Coefficient", "[", 
                RowBox[{"B", ",", "L", ",", "i"}], "]"}], "\[Equal]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"k", "\[Equal]", "i"}], ",", "1", ",", "0"}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "0", ",", 
                RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"sols", " ", "=", 
            RowBox[{"Solve", "[", 
             RowBox[{"eqs", ",", "vars"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"sol", " ", "=", " ", 
            RowBox[{
            "sols", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"list", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], " ", "=", 
            RowBox[{"A", "/.", "sol"}]}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", "list"}]}], "\[IndentingNewLine]",
       "]"}]}]}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.801066388986641*^9, 3.8010664015310593`*^9}, {
   3.801066503394569*^9, 3.80106651662502*^9}, {3.801066564574067*^9, 
   3.801066564741948*^9}, {3.8010670236288843`*^9, 3.801067027753759*^9}, {
   3.801067100792351*^9, 3.80106710544508*^9}, {3.8010671878060493`*^9, 
   3.80106730349851*^9}, {3.801068087792117*^9, 3.8010680923566713`*^9}, 
   3.8010694137602043`*^9, {3.801136097102274*^9, 3.8011361141220093`*^9}, {
   3.8011362235083227`*^9, 3.801136224919012*^9}, {3.801136755713544*^9, 
   3.801136757460051*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"PSI$NM", ",", "S", ",", "T"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSI$NM", "[", 
   RowBox[{"n_", ",", "0", ",", "p_", ",", "0"}], "]"}], ":=", 
  RowBox[{"L", "^", "p"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSI$NM", "[", 
   RowBox[{"0", ",", "m_", ",", "0", ",", "q_"}], "]"}], ":=", 
  RowBox[{"L", "^", "q"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSI$NM", "[", 
   RowBox[{"n_", ",", "1", ",", "p_", ",", "q_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"PSI$NM", "[", 
    RowBox[{"n", ",", "1", ",", "p", ",", "q"}], "]"}], "=", 
   RowBox[{"PSI$N1", "[", 
    RowBox[{"n", ",", "p", ",", "q"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PSI$NM", "[", 
    RowBox[{"n_", ",", "mplus1_", ",", "p_", ",", "q_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"PSI$NM", "[", 
     RowBox[{"n", ",", "mplus1", ",", "p", ",", "q"}], "]"}], "=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"m", "=", 
         RowBox[{"mplus1", "-", "1"}]}], ",", "basis", ",", "A", ",", "B", 
        ",", "C"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"basis", "=", 
        RowBox[{"findBasis$M1", "[", "m", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"A", "=", 
        RowBox[{
         RowBox[{"basis", "\[LeftDoubleBracket]", 
          RowBox[{"q", "+", "1"}], "\[RightDoubleBracket]"}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"L1", "\[Rule]", "L2"}], ",", 
           RowBox[{"L2", "\[Rule]", "T"}]}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"B", "=", 
        RowBox[{"newPsiBang2", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"n", ",", "m"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"L1", ",", "L2"}], "}"}], ",", "S", ",", 
          RowBox[{
           RowBox[{"L1", "^", "p"}], "*", "A"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"C", "=", 
        RowBox[{"newPsiBang2", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"n", "+", "m"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"S", ",", "T"}], "}"}], ",", "L", ",", "B"}], "]"}]}], ";",
        "\[IndentingNewLine]", 
       RowBox[{"Expand", "[", 
        RowBox[{"Factor", "[", "C", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"newPsiBang2", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n_", ",", "m_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"var1_", ",", "var2_"}], "}"}], ",", "outvar_", ",", "ZZ_"}], 
    "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Z", ",", "deg1", ",", "deg2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Z", "=", 
       RowBox[{"Expand", "[", "ZZ", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"deg1", "=", 
       RowBox[{"Exponent", "[", 
        RowBox[{"Z", ",", "var1"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"deg2", "=", 
       RowBox[{"Exponent", "[", 
        RowBox[{"Z", ",", "var2"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Expand", "[", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Coefficient", "[", 
           RowBox[{
            RowBox[{"Coefficient", "[", 
             RowBox[{"Z", ",", "var1", ",", "i"}], "]"}], ",", "var2", ",", 
            "j"}], "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"PSI$NM", "[", 
             RowBox[{"n", ",", "m", ",", "i", ",", "j"}], "]"}], "/.", 
            RowBox[{"{", 
             RowBox[{"L", "\[Rule]", "outvar"}], "}"}]}], ")"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "0", ",", "deg1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "0", ",", "deg2"}], "}"}]}], "]"}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"newPsiBangMany", "[", 
   RowBox[{
    RowBox[{"{", "n_", "}"}], ",", 
    RowBox[{"{", "uuu_", "}"}], ",", "www_", ",", "Z_"}], "]"}], ":=", 
  RowBox[{"Z", "/.", 
   RowBox[{"{", 
    RowBox[{"uuu", "\[Rule]", "www"}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"newPsiBangMany", "[", 
   RowBox[{"ns_", ",", "uuus_", ",", "www_", ",", "Z_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ttt", ",", "vvvs", ",", "ms"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "uuus", "]"}], "\[Equal]", "1"}], ",", 
      RowBox[{"Z", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
         "uuus", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[Rule]", "www"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", "uuus", "]"}], "\[Equal]", "2"}], ",", 
        RowBox[{"newPsiBang2", "[", 
         RowBox[{"ns", ",", "uuus", ",", "www", ",", "Z"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ms", "=", 
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "ns", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
              "+", 
              RowBox[{
              "ns", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
             "}"}], ",", 
            RowBox[{"Drop", "[", 
             RowBox[{"ns", ",", "2"}], "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"vvvs", "=", 
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"{", "ttt", "}"}], ",", 
            RowBox[{"Drop", "[", 
             RowBox[{"uuus", ",", "2"}], "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"newPsiBangMany", "[", 
          RowBox[{"ms", ",", "vvvs", ",", "www", ",", " ", 
           RowBox[{"newPsiBang2", "[", 
            RowBox[{
             RowBox[{"Take", "[", 
              RowBox[{"ns", ",", "2"}], "]"}], ",", 
             RowBox[{"Take", "[", 
              RowBox[{"uuus", ",", "2"}], "]"}], ",", "ttt", ",", "Z"}], 
            "]"}]}], "]"}]}]}], "]"}]}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.801067686551507*^9, 3.801067757806052*^9}, {
  3.8010679277141123`*^9, 3.801067940230144*^9}, {3.801068120744752*^9, 
  3.801068298368375*^9}, {3.801068793586752*^9, 3.8010688873986397`*^9}, {
  3.801069015383294*^9, 3.8010691177256727`*^9}, {3.801070830884396*^9, 
  3.8010708325946302`*^9}, {3.8011130758108263`*^9, 3.8011131226335583`*^9}, {
  3.801136192770171*^9, 3.801136198915134*^9}}],

Cell[" ", "Text",
 Editable->False,
 Selectable->False,
 CellFrame->{{0, 0}, {0, 2}},
 ShowCellBracket->False,
 CellMargins->{{0, 0}, {1, 1}},
 CellElementSpacings->{"CellMinHeight"->1},
 CellFrameMargins->0,
 CellFrameColor->RGBColor[0, 0, 1],
 CellSize->{Inherited, 4}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", " ", 
    RowBox[{
    "PUSHFORwARD", " ", "ALONG", " ", "THE", " ", "DIAGONAL", " ", "MAP"}], 
    " ", "==="}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"notk", "[", 
     RowBox[{"n_", ",", "k_"}], "]"}], ":=", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "n"}], "]"}], ",", 
      RowBox[{
       RowBox[{"#", "\[NotEqual]", "k"}], "&"}]}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "class", " ", "of", " ", "the", " ", "diagonal", " ", "in", " ", "K", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"P", "^", "n"}], " ", "x", " ", 
       RowBox[{"P", "^", "n"}]}], ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Clear", "[", "DELTA$CLASS$2", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DELTA$CLASS$2", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"DELTA$CLASS$2", "[", "n", "]"}], "=", "\[IndentingNewLine]", 
     RowBox[{"Factor", "[", 
      RowBox[{"Sum", "[", " ", 
       RowBox[{
        RowBox[{"Product", "[", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"L1", "*", 
              RowBox[{"WT", "[", 
               RowBox[{"n", ",", "i"}], "]"}]}]}], ")"}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"L2", "*", 
               RowBox[{"WT", "[", 
                RowBox[{"n", ",", "i"}], "]"}]}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{
               RowBox[{"WT", "[", 
                RowBox[{"n", ",", "i"}], "]"}], "/", 
               RowBox[{"WT", "[", 
                RowBox[{"n", ",", "k"}], "]"}]}]}], ")"}]}]}], "  ", ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"notk", "[", 
             RowBox[{"n", ",", "k"}], "]"}]}], "}"}]}], "]"}], " ", ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}], "]"}]}]}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"newDeltaBang2", "[", 
     RowBox[{"n_", ",", "invar_", ",", 
      RowBox[{"{", 
       RowBox[{"var1_", ",", "var2_"}], "}"}], ",", "ZZ_"}], "]"}], ":=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Z", "=", 
         RowBox[{"Expand", "[", "ZZ", "]"}]}], ",", "m", ",", "A"}], "}"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"m", "=", 
        RowBox[{"Exponent", "[", 
         RowBox[{"Z", ",", "invar"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"A", "=", 
        RowBox[{"Expand", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"DELTA$CLASS$2", "[", "n", "]"}], "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"L1", "\[Rule]", "var1"}], ",", 
              RowBox[{"L2", "\[Rule]", "var2"}]}], "}"}]}], ")"}], "*", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"var1", "^", "p"}], "*", 
             RowBox[{"Coefficient", "[", 
              RowBox[{"Z", ",", "invar", ",", "p"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"p", ",", "0", ",", "m"}], "}"}]}], "]"}]}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"KnormalizeVarXY", "[", 
        RowBox[{"n", ",", "var1", ",", "A"}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"usage", ":", " ", 
     RowBox[{"deltaBangMany", "[", 
      RowBox[{"dim", ",", "L", ",", 
       RowBox[{"{", 
        RowBox[{"L1", ",", "L2", ",", "L3"}], "}"}], ",", "X"}], "]"}]}], " ",
     "*)"}], "\n", 
   RowBox[{
    RowBox[{"newDeltaBangMany", "[", 
     RowBox[{"n_", ",", "uuu_", ",", "vvvs_", ",", "Z_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "ttt", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", "vvvs", "]"}], "\[Equal]", "1"}], ",", 
        RowBox[{"Z", "/.", 
         RowBox[{"{", 
          RowBox[{"uuu", "\[Rule]", 
           RowBox[{
           "vvvs", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
          "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "vvvs", "]"}], "\[Equal]", "2"}], ",", 
          RowBox[{"newDeltaBang2", "[", 
           RowBox[{"n", ",", "uuu", ",", "vvvs", ",", "Z"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"newDeltaBangMany", "[", 
           RowBox[{"n", ",", "ttt", ",", 
            RowBox[{"Drop", "[", 
             RowBox[{"vvvs", ",", "1"}], "]"}], ",", " ", 
            RowBox[{"newDeltaBang2", "[", 
             RowBox[{"n", ",", "uuu", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "vvvs", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ",", "ttt"}], "}"}], ",", "Z"}], 
             "]"}]}], "]"}]}], "]"}]}], "]"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8010694276831083`*^9, 3.801069434269802*^9}, {
  3.801069600632613*^9, 3.801069629592244*^9}, {3.801113235025399*^9, 
  3.801113235608663*^9}, {3.801113291271837*^9, 3.8011133545199003`*^9}, {
  3.801113390957038*^9, 3.80111339175294*^9}, {3.801136134192531*^9, 
  3.801136178622281*^9}}],

Cell[" ", "Text",
 Editable->False,
 Selectable->False,
 CellFrame->{{0, 0}, {0, 2}},
 ShowCellBracket->False,
 CellMargins->{{0, 0}, {1, 1}},
 CellElementSpacings->{"CellMinHeight"->1},
 CellFrameMargins->0,
 CellFrameColor->RGBColor[0, 0, 1],
 CellSize->{Inherited, 4}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "PUSHFORWARD", " ", "ALONG", " ", "THE", " ", "POWER", " ", "MAP"}], " ", 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", "OMEGA$ND", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"OMEGA$ND", "[", 
     RowBox[{"n_", ",", "d_", ",", "p_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"OMEGA$ND", "[", 
      RowBox[{"n", ",", "d", ",", "p"}], "]"}], "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vars", ",", "ns", ",", "A", ",", "B"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"vars", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Subscript", "[", 
            RowBox[{"TMP$X", ",", "i"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "d"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ns", "=", " ", 
         RowBox[{"Table", "[", 
          RowBox[{"n", ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "d"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"A", "=", 
         RowBox[{"newDeltaBangMany", "[", 
          RowBox[{"n", ",", "L", ",", "vars", ",", 
           RowBox[{"L", "^", "p"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"B", "=", 
         RowBox[{"newPsiBangMany", "[", 
          RowBox[{"ns", ",", "vars", ",", "L", ",", 
           RowBox[{"Expand", "[", "A", "]"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Expand", "[", "B", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"newOmegaBang", "[", 
     RowBox[{"n_", ",", "0", ",", "var1_", ",", "var2_", ",", "ZZ_"}], "]"}], 
    ":=", 
    RowBox[{"Coefficient", "[", 
     RowBox[{"ZZ", ",", "var1", ",", "0"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"newOmegaBang", "[", 
     RowBox[{"n_", ",", "1", ",", "var1_", ",", "var2_", ",", "ZZ_"}], "]"}], 
    ":=", 
    RowBox[{"ZZ", "/.", 
     RowBox[{"{", 
      RowBox[{"var1", "\[Rule]", "var2"}], "}"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"newOmegaBang", "[", 
     RowBox[{"n_", ",", "d_", ",", "var1_", ",", "var2_", ",", "ZZ_"}], "]"}],
     ":=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Z", "=", 
         RowBox[{"Expand", "[", "ZZ", "]"}]}], ",", "m", ",", "A"}], "}"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"m", "=", 
        RowBox[{"Exponent", "[", 
         RowBox[{"Z", ",", "var1"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"A", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"OMEGA$ND", "[", 
              RowBox[{"n", ",", "d", ",", "p"}], "]"}], "/.", 
             RowBox[{"{", 
              RowBox[{"L", "\[Rule]", "var2"}], "}"}]}], ")"}], "*", 
           RowBox[{"Coefficient", "[", 
            RowBox[{"Z", ",", "var1", ",", "p"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"p", ",", "0", ",", "m"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Expand", "[", "A", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"P", "^", "n1"}], " ", "x", " ", 
      RowBox[{"P", "^", "n2"}], " ", "x", " ", 
      RowBox[{"P", "^", "n3"}]}], " ", "\[Rule]", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"P", "^", 
        RowBox[{"(", 
         RowBox[{"d1", "*", "n1"}], ")"}]}], " ", "x", " ", 
       RowBox[{"P", "^", 
        RowBox[{"(", 
         RowBox[{"d2", "*", "n2"}], ")"}]}], " ", "x", " ", 
       RowBox[{"P", "^", 
        RowBox[{"(", 
         RowBox[{"d3", "*", "n3"}], ")"}]}]}], " ", "\[Rule]", " ", 
      RowBox[{"P", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"d1", "*", "n1"}], " ", "+", " ", 
         RowBox[{"d2", "*", "n2"}], " ", "+", " ", 
         RowBox[{"d3", "*", "n3"}]}], " "}]}]}]}], "*)"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"newOmegaBangLam", "[", 
     RowBox[{"ns_", ",", "ds_", ",", "uuus_", ",", "www_", ",", "Z0_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Z", "=", 
         RowBox[{"Expand", "[", "Z0", "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"m", " ", "=", " ", 
         RowBox[{"Length", "[", "ns", "]"}]}], ",", "\[IndentingNewLine]", 
        "vars", ",", "W", ",", "nds", ",", "ttt", ",", "i"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"vars", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Subscript", "[", 
           RowBox[{"ttt", ",", "i"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"nds", "=", 
        RowBox[{"Table", "[", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"ns", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "*", 
           RowBox[{"ds", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"W", "=", "Z"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", "m"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{"W", "=", 
          RowBox[{"newOmegaBang", "[", 
           RowBox[{
            RowBox[{"ns", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", 
            RowBox[{"ds", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", 
            RowBox[{"uuus", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", 
            RowBox[{"vars", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "W"}], "]"}]}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"newPsiBangMany", "[", 
        RowBox[{"nds", ",", "vars", ",", "www", ",", "W"}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.801070352996221*^9, 3.801070565349876*^9}, {
  3.80107060971841*^9, 3.8010706107384243`*^9}, {3.8010709729287777`*^9, 
  3.8010709732164087`*^9}, {3.801071164182687*^9, 3.801071164313745*^9}, {
  3.801071203324443*^9, 3.801071220495305*^9}, {3.801071259284038*^9, 
  3.8010713728549137`*^9}, {3.801071459809278*^9, 3.801071460958413*^9}, {
  3.801113170295889*^9, 3.801113206388917*^9}, {3.801136238289638*^9, 
  3.8011362562914467`*^9}}],

Cell[" ", "Text",
 Editable->False,
 Selectable->False,
 CellFrame->{{0, 0}, {0, 2}},
 ShowCellBracket->False,
 CellMargins->{{0, 0}, {1, 1}},
 CellElementSpacings->{"CellMinHeight"->1},
 CellFrameMargins->0,
 CellFrameColor->RGBColor[0, 0, 1],
 CellSize->{Inherited, 4}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "only", " ", "works", " ", "for", " ", "lists", " ", "of", " ", "equal", 
    " ", 
    RowBox[{"length", "!!"}]}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"Zip", "[", 
     RowBox[{"as_", ",", "bs_"}], "]"}], ":=", 
    RowBox[{"MapThread", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#1", ",", "#2"}], "}"}], "&"}], ",", 
      RowBox[{"{", 
       RowBox[{"as", ",", "bs"}], "}"}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"Zip3", "[", 
     RowBox[{"as_", ",", "bs_", ",", "cs_"}], "]"}], ":=", 
    RowBox[{"MapThread", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#1", ",", "#2", ",", "#3"}], "}"}], "&"}], ",", 
      RowBox[{"{", 
       RowBox[{"as", ",", "bs", ",", "cs"}], "}"}]}], "]"}]}], "\n", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Fst", "[", "pair_", "]"}], ":=", 
    RowBox[{"pair", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"Snd", "[", "pair_", "]"}], ":=", 
    RowBox[{"pair", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"extendListWithZeros", "[", 
     RowBox[{"L_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Join", "[", 
     RowBox[{"L", ",", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"n", "-", 
           RowBox[{"Length", "[", "L", "]"}]}]}], "}"}]}], "]"}]}], 
     "]"}]}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"EmptyPartQ", "[", "part_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Length", "[", "part", "]"}], "\[Equal]", "0"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"DualPart", "[", 
   RowBox[{"{", "}"}], "]"}], ":=", 
  RowBox[{"{", "}"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"DualPart", "[", "lam_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", "=", 
       RowBox[{"lam", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Length", "[", 
        RowBox[{"Select", "[", 
         RowBox[{"lam", ",", 
          RowBox[{
           RowBox[{"#", "\[GreaterEqual]", "i"}], "&"}]}], "]"}], "]"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]", " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"toExpoForm", "[", 
    RowBox[{"{", "}"}], "]"}], ":=", 
   RowBox[{"{", "}"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"toExpoForm", "[", "part_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", "=", 
       RowBox[{"Max", "[", "part", "]"}]}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Length", "[", 
        RowBox[{"Select", "[", 
         RowBox[{"part", ",", 
          RowBox[{
           RowBox[{"#", "\[Equal]", "j"}], "&"}]}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "k"}], "}"}]}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"posVectorQ", "[", "as_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "\[GreaterEqual]", "0"}], "&"}], ",", "as"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"List", "\[Rule]", "And"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kdeTriples", "[", 
   RowBox[{"p_", ",", "ns_"}], "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"m", " ", "=", " ", 
       RowBox[{"Length", "[", "ns", "]"}]}], ",", "\[IndentingNewLine]", 
      "posQ", ",", "oneK", ",", "A"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"oneK", "[", "k_", "]"}], ":=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"ns", "-", "es"}], ",", "es"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"es", ",", 
          RowBox[{"Combinatorica`Compositions", "[", 
           RowBox[{
            RowBox[{"p", "-", "k"}], ",", "m"}], "]"}]}], "}"}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"A", "=", 
      RowBox[{"Table", " ", "[", 
       RowBox[{
        RowBox[{"oneK", "[", "k", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", 
          RowBox[{"p", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"A", "=", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"A", ",", "1"}], "]"}], ",", 
        RowBox[{
         RowBox[{"posVectorQ", "[", 
          RowBox[{"Snd", "[", "#", "]"}], "]"}], "&"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "A"}]}], "]"}]}], "\[IndentingNewLine]"}], "Input",\

 CellChangeTimes->{{3.801071512912022*^9, 3.80107154768006*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"motivic", " ", "Chern", " ", "class", " ", "of", " ", 
    RowBox[{"P", "^", "n"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Clear", "[", "mcPn", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mcPn", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"mcPn", "[", "n", "]"}], "=", "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"rel", ",", "tmp"}], "}"}], ",", 
       RowBox[{
        RowBox[{"rel", "=", 
         RowBox[{"Product", "[", 
          RowBox[{
           RowBox[{"1", "-", 
            RowBox[{"L", "*", 
             RowBox[{"X", "^", 
              RowBox[{"(", 
               RowBox[{"n", "-", "i"}], ")"}]}], "*", 
             RowBox[{"Y", "^", "i"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"tmp", "=", 
         RowBox[{"Product", "[", 
          RowBox[{
           RowBox[{"1", "+", 
            RowBox[{"t", "*", "L", "*", 
             RowBox[{"X", "^", 
              RowBox[{"(", 
               RowBox[{"n", "-", "i"}], ")"}]}], "*", 
             RowBox[{"Y", "^", "i"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Factor", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"tmp", "-", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"-", "t"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"n", "+", "1"}], ")"}]}], " ", "rel"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "+", "t"}], ")"}]}], "]"}]}]}], 
      "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.801136267380416*^9, 3.801136273051806*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"L", ",", "S"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LL", "[", "i_", "]"}], ":=", 
   RowBox[{"Subscript", "[", 
    RowBox[{"L", ",", "i"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SS", "[", "i_", "]"}], ":=", 
   RowBox[{"Subscript", "[", 
    RowBox[{"S", ",", "i"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LLs", "[", "n_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"LL", "[", "i", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SSs", "[", "n_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"SS", "[", "i", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"mcXLam", ",", "mcDisj1", ",", "mcDisj", ",", "mcDisjSorted"}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mcXLam", "[", 
   RowBox[{"{", "}"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"mcXLam", "[", 
    RowBox[{"{", "}"}], "]"}], "=", "1"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mcXLam", "[", 
    RowBox[{"{", "1", "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"mcXLam", "[", 
     RowBox[{"{", "1", "}"}], "]"}], "=", 
    RowBox[{"mcPn", "[", "1", "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mcDisj1", "[", "0", "]"}], ":=", 
  RowBox[{
   RowBox[{"mcDisj1", "[", "0", "]"}], "=", "1"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mcDisj1", "[", "1", "]"}], ":=", 
   RowBox[{
    RowBox[{"mcDisj1", "[", "1", "]"}], "=", 
    RowBox[{"mcPn", "[", "1", "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mcDisj", "[", 
    RowBox[{"{", "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"mcDisj", "[", 
     RowBox[{"{", "}"}], "]"}], "=", "1"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mcDisjSorted", "[", 
    RowBox[{"{", "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"mcDisjSorted", "[", 
     RowBox[{"{", "}"}], "]"}], "=", "1"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "equivariant", " ", "motivic", " ", "chern", " ", "class", " ", "of", " ",
      "D", 
     RowBox[{"(", "n", ")"}]}], "=", 
    RowBox[{"X", 
     RowBox[{"(", 
      RowBox[{"1", "^", "n"}], ")"}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mcDisj1", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"mcDisj1", "[", "n", "]"}], "=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"parts", "=", 
        RowBox[{"Select", "[", 
         RowBox[{
          RowBox[{"Combinatorica`Partitions", "[", "n", "]"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"Length", "[", "#", "]"}], "<", "n"}], "&"}]}], "]"}]}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Expand", "[", 
       RowBox[{
        RowBox[{"mcPn", "[", "n", "]"}], "-", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"mcXLam", "[", "p", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"p", ",", "parts"}], "}"}]}], "]"}]}], "]"}]}], 
     "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
   "equivariant", " ", "motivic", " ", "chern", " ", "class", " ", "of", " ", 
    "X_lambda"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mcXLam", "[", "lambda_", "]"}], ":=", 
   RowBox[{
    RowBox[{"mcXLam", "[", "lambda", "]"}], "=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"es", " ", "=", " ", 
         RowBox[{"toExpoForm", "[", "lambda", "]"}]}], ",", "m", ",", "m1", 
        ",", "ns", ",", "pairs", ",", "Z"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"m", "=", 
        RowBox[{"Length", "[", "es", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"ns", " ", "=", " ", 
        RowBox[{"Range", "[", "m", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"pairs", " ", "=", " ", 
        RowBox[{"Zip", "[", 
         RowBox[{"ns", ",", "es"}], "]"}]}], ";", "   ", 
       RowBox[{"(*", " ", 
        RowBox[{"i", "^", "e_"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"pairs", " ", "=", " ", 
        RowBox[{"Select", "[", 
         RowBox[{"pairs", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"Snd", "[", "#", "]"}], ">", "0"}], "&"}]}], "]"}]}], ";",
        " ", 
       RowBox[{"(*", " ", 
        RowBox[{"!!", "!"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"m1", " ", "=", " ", 
        RowBox[{"Length", "[", "pairs", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"ns", " ", "=", 
        RowBox[{"Map", "[", 
         RowBox[{"Fst", ",", "pairs"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"es", " ", "=", 
        RowBox[{"Map", "[", 
         RowBox[{"Snd", ",", "pairs"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Z", "=", 
        RowBox[{"mcDisj", "[", "es", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{"\"\<xlam1 - \>\"", ",", "pairs"}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<xlam2 - \>\"", ",", "es", ",", "\"\< | \>\"", ",", "ns", ",", 
           "\"\< | \>\"", ",", 
           RowBox[{"uus", "[", "m1", "]"}], ",", "\"\< | \>\"", ",", "X"}], 
          "]"}], ";"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Expand", "[", 
        RowBox[{"newOmegaBangLam", "[", 
         RowBox[{"es", ",", "ns", ",", 
          RowBox[{"LLs", "[", "m1", "]"}], ",", "L", ",", "Z"}], "]"}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "equivariant", " ", "motivic", " ", "chern", " ", "class", " ", "of", " ", 
    "D", 
    RowBox[{"(", 
     RowBox[{"d1", ",", "d2", ",", "..."}], ")"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mcDisj", "[", 
   RowBox[{"{", "n_", "}"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"mcDisj", "[", 
    RowBox[{"{", "n", "}"}], "]"}], " ", "=", 
   RowBox[{
    RowBox[{"mcDisj1", "[", "n", "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"L", "\[Rule]", 
      RowBox[{"LL", "[", "1", "]"}]}], "}"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mcDisj", "[", "ns0_", "]"}], ":=", 
   RowBox[{
    RowBox[{"mcDisj", "[", "ns0", "]"}], "=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"m", "=", 
         RowBox[{"Length", "[", "ns0", "]"}]}], ",", "\[IndentingNewLine]", 
        "nis0", ",", "nis1", ",", "ns1", ",", "idxs", ",", "X", ",", "ttt"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nis0", " ", "=", 
        RowBox[{"Zip", "[", 
         RowBox[{"ns0", ",", 
          RowBox[{"Range", "[", "m", "]"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"nis1", "=", 
        RowBox[{"SortBy", "[", 
         RowBox[{"nis0", ",", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Fst", "[", "#", "]"}]}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"idxs", "=", 
        RowBox[{"Map", "[", 
         RowBox[{"Snd", ",", "nis1"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"ns1", " ", "=", 
        RowBox[{"Select", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{"Fst", ",", "nis1"}], "]"}], ",", 
          RowBox[{
           RowBox[{"#", ">", "0"}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<nis1 - \>\"", ",", "nis0", ",", "\"\< | \>\"", ",", "nis1"}], 
          "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"Print", "[", 
          RowBox[{"\"\<nis2 - \>\"", ",", "ns1"}], "]"}], ";"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"X", "=", 
        RowBox[{"mcDisjSorted", "[", "ns1", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"X", "=", 
        RowBox[{"X", "/.", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"LL", "[", "i", "]"}], "\[Rule]", 
            RowBox[{"Subscript", "[", 
             RowBox[{"ttt", ",", "i"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"X", "/.", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Subscript", "[", 
            RowBox[{"ttt", ",", "i"}], "]"}], "\[Rule]", 
           RowBox[{"LL", "[", 
            RowBox[{
            "idxs", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}]}]}], 
     "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "a", " ", "single", " ", "term", " ", "corresponding", " ", "to", " ", "a",
     " ", "triple", " ", 
    RowBox[{"(", 
     RowBox[{"k", ",", "ds", ",", "es"}], ")"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "singleKDE", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"singleKDE", "[", 
    RowBox[{"{", 
     RowBox[{"k_", ",", "ds_", ",", "es_"}], "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"ssingleKDE", "[", 
     RowBox[{"{", 
      RowBox[{"k", ",", "ds", ",", "es"}], "}"}], "]"}], "=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "A", ",", "B", ",", "\[IndentingNewLine]", "m", ",", "vars", ",", 
        "dims", ",", "\[IndentingNewLine]", "pp", ",", "qq", ",", "rr", ",", 
        "ss", ",", "\[IndentingNewLine]", "pps", ",", "qqs", ",", "rrs", ",", 
        "sss"}], "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"m", "=", 
        RowBox[{"Length", "[", "ds", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"pp", "[", "i_", "]"}], ":=", 
        RowBox[{"Subscript", "[", 
         RowBox[{"pp$p", ",", "i"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"qq", "[", "i_", "]"}], ":=", 
        RowBox[{"Subscript", "[", 
         RowBox[{"qq$q", ",", "i"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"rr", "[", "i_", "]"}], ":=", 
        RowBox[{"Subscript", "[", 
         RowBox[{"rr$r", ",", "i"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ss", "[", "i_", "]"}], ":=", 
        RowBox[{"Subscript", "[", 
         RowBox[{"ss$s", ",", "i"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"pps", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"pp", "[", "i", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"qqs", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"qq", "[", "i", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"rrs", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"rr", "[", "i", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"sss", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"ss", "[", "i", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vars", "=", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"{", "zzz", "}"}], ",", "pps", ",", "qqs"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"dims", "=", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"{", "k", "}"}], ",", "ds", ",", "es"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"A", "=", 
        RowBox[{
         RowBox[{"mcDisj", "[", "dims", "]"}], "/.", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"LL", "[", "i", "]"}], "\[Rule]", 
            RowBox[{
            "vars", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", 
             RowBox[{
              RowBox[{"2", "m"}], "+", "1"}]}], "}"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"B", "=", "A"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", "m"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{"B", "=", 
          RowBox[{"Expand", "[", 
           RowBox[{"newDeltaBang2", "[", 
            RowBox[{
             RowBox[{
             "es", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
             ",", 
             RowBox[{"qq", "[", "i", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"rr", "[", "i", "]"}], ",", 
               RowBox[{"ss", "[", "i", "]"}]}], "}"}], ",", "B"}], "]"}], 
           "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", "m"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{"B", "=", 
          RowBox[{"Expand", "[", 
           RowBox[{"newPsiBang2", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "ds", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
               ",", 
               RowBox[{
               "es", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}],
               "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"pp", "[", "i", "]"}], ",", 
               RowBox[{"ss", "[", "i", "]"}]}], "}"}], ",", 
             RowBox[{"LL", "[", "i", "]"}], ",", "B"}], "]"}], "]"}]}]}], 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"B", "=", 
        RowBox[{"newPsiBangMany", "[", 
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"{", "k", "}"}], ",", "es"}], "]"}], ",", 
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"{", "zzz", "}"}], ",", "rrs"}], "]"}], ",", "z", ",", 
          "B"}], "]"}]}], ";", "\[IndentingNewLine]", "B"}]}], 
     "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"equiv", " ", "mc", " ", "of", " ", "D", 
     RowBox[{"(", 
      RowBox[{"d1", ",", "d2", ",", "..."}], ")"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"but", " ", "we", " ", "require", " ", "d1"}], 
       "\[GreaterEqual]", "d2", "\[GreaterEqual]", "d3", "\[GreaterEqual]"}], 
      "..."}], "\[GreaterEqual]", "dn", ">", "0"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mcDisjSorted", "[", 
   RowBox[{"{", "n_", "}"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"mcDisjSorted", "[", 
    RowBox[{"{", "n", "}"}], "]"}], "=", 
   RowBox[{
    RowBox[{"mcDisj1", "[", "n", "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"L", "\[Rule]", 
      RowBox[{"LL", "[", "1", "]"}]}], "}"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mcDisjSorted", "[", "pns_", "]"}], ":=", 
  RowBox[{
   RowBox[{"mcDisjSorted", "[", "pns", "]"}], "=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "=", 
        RowBox[{
        "pns", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ns", "=", 
        RowBox[{"Drop", "[", 
         RowBox[{"pns", ",", "1"}], "]"}]}], ",", "\[IndentingNewLine]", "A", 
       ",", "B", ",", "rest", ",", "\[IndentingNewLine]", "KDE"}], 
      "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"KDE", "=", 
       RowBox[{"kdeTriples", "[", 
        RowBox[{"p", ",", "ns"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<sorted1 - \>\"", ",", "p", ",", "\"\< | \>\"", ",", "ns"}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<sorted2 - \>\"", ",", "KDE"}], "]"}], ";"}], " ", 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{"A", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"mcDisj1", "[", "p", "]"}], "/.", 
          RowBox[{"{", 
           RowBox[{"L", "\[Rule]", "z"}], "}"}]}], ")"}], "*", 
        RowBox[{"mcDisj", "[", "ns", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rest", "=", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"singleKDE", "[", "kde", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"kde", ",", "KDE"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"B", " ", "=", " ", 
       RowBox[{"Expand", "[", 
        RowBox[{"A", "-", "rest"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"B", " ", "=", 
       RowBox[{"B", "/.", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"LL", "[", "i", "]"}], "\[Rule]", 
           RowBox[{"LL", "[", 
            RowBox[{"i", "+", "1"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{"Length", "[", "ns", "]"}]}], "}"}]}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"B", "=", 
       RowBox[{"B", "/.", 
        RowBox[{"{", 
         RowBox[{"z", "\[Rule]", 
          RowBox[{"LL", "[", "1", "]"}]}], "}"}]}]}]}]}], 
    "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.799904396615363*^9, 3.799904406889674*^9}, 
   3.7999044864107447`*^9, {3.799904522981793*^9, 3.799904542217388*^9}, {
   3.799905368188403*^9, 3.799905440526905*^9}, {3.799910778489602*^9, 
   3.799910789411199*^9}, {3.7999114574287767`*^9, 3.7999114795107517`*^9}, {
   3.7999117495827513`*^9, 3.799911793714377*^9}, {3.7999118288998423`*^9, 
   3.799911896725374*^9}, {3.799912109841093*^9, 3.7999121125284853`*^9}, {
   3.7999125865497513`*^9, 3.7999126172056303`*^9}, 3.79991266733438*^9, {
   3.799912899384604*^9, 3.7999129587478647`*^9}, {3.7999130239335003`*^9, 
   3.79991307814552*^9}, {3.799914094737917*^9, 3.799914115471753*^9}, {
   3.800879610477685*^9, 3.800879627666667*^9}, {3.8008796639878073`*^9, 
   3.80087988408841*^9}, {3.800879937132431*^9, 3.8008799455428457`*^9}, {
   3.800880007952732*^9, 3.80088000842714*^9}, {3.801071584758039*^9, 
   3.801071601266988*^9}, {3.8010716924998083`*^9, 3.801071693783765*^9}, {
   3.80111350677731*^9, 3.801113662213182*^9}, {3.80113627702074*^9, 
   3.8011364016607447`*^9}}],

Cell[" ", "Text",
 Editable->False,
 Selectable->False,
 CellFrame->{{0, 0}, {0, 2}},
 ShowCellBracket->False,
 CellMargins->{{0, 0}, {1, 1}},
 CellElementSpacings->{"CellMinHeight"->1},
 CellFrameMargins->0,
 CellFrameColor->RGBColor[0, 0, 1],
 CellSize->{Inherited, 4}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"export", " ", "the", " ", "classes", " ", "of", " ", "X", 
     RowBox[{"(", "lambda", ")"}], " ", "for"}], " ", "|", "lambda", "|", 
    RowBox[{"\[LessEqual]", "n"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ExportMC", "[", "n_", "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "h", ",", "i", ",", "p", ",", "parts", ",", "k", ",", "m", ",", "s", 
       ",", "j", ",", "A"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"h", "=", 
       RowBox[{
       "OpenWrite", "[", "\"\<equivariant_mc_classes.txt\>\"", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", 
           RowBox[{"\"\<\\nn = \>\"", ",", "i"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"h", ",", "\"\<\\n(* =================== *)\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"h", ",", 
            RowBox[{"\"\<\\n(* ----   n = \>\"", "<>", 
             RowBox[{"ToString", "[", "i", "]"}], "<>", 
             "\"\<   ---- *)\\n\\n\>\""}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"parts", "=", 
           RowBox[{"Partitions", "[", "i", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"m", "=", 
           RowBox[{"Length", "[", "parts", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"j", "=", "1"}], ",", 
            RowBox[{"j", "\[LessEqual]", "m"}], ",", 
            RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"p", " ", "=", 
              RowBox[{
              "parts", "\[LeftDoubleBracket]", "j", 
               "\[RightDoubleBracket]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"Print", "[", 
              RowBox[{"\"\<part = \>\"", ",", "p"}], "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"A", " ", "=", 
              RowBox[{"Expand", "[", 
               RowBox[{"mcXLam", "[", "p", "]"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"Print", "[", "A", "]"}], ";"}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"s", "=", 
              RowBox[{"ToString", "[", 
               RowBox[{"A", ",", 
                RowBox[{"FormatType", "\[Rule]", "InputForm"}], ",", 
                RowBox[{"PageWidth", "\[Rule]", "Infinity"}], ",", 
                RowBox[{"TotalWidth", "\[Rule]", "Infinity"}]}], "]"}]}], ";",
              "\[IndentingNewLine]", 
             RowBox[{"s", "=", 
              RowBox[{"StringJoin", "[", 
               RowBox[{"\"\<mc[\>\"", ",", 
                RowBox[{"ToString", "[", "p", "]"}], ",", "\"\<] = \>\"", ",",
                 "s", ",", "\"\< ;\\n\\n\>\""}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"Print", "[", "s", "]"}], ";"}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"h", ",", "s"}], "]"}], ";"}]}], "\[IndentingNewLine]", 
           "]"}]}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
       RowBox[{"Close", "[", "h", "]"}]}], ";"}]}], "\[IndentingNewLine]", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8010696348056927`*^9, 3.801069676577145*^9}, {
   3.8010698703892193`*^9, 3.8010698731444807`*^9}, {3.801070034862121*^9, 
   3.801070129428359*^9}, {3.801070348521194*^9, 3.8010703684698143`*^9}, 
   3.8010705779746532`*^9, {3.8011138755594053`*^9, 3.801113953709689*^9}, {
   3.801114017451393*^9, 3.801114021495187*^9}, {3.801126780457333*^9, 
   3.8011267819827213`*^9}, {3.801136419578253*^9, 3.80113645733673*^9}}],

Cell[" ", "Text",
 Editable->False,
 Selectable->False,
 CellFrame->{{0, 0}, {0, 2}},
 ShowCellBracket->False,
 CellMargins->{{0, 0}, {1, 1}},
 CellElementSpacings->{"CellMinHeight"->1},
 CellFrameMargins->0,
 CellFrameColor->RGBColor[0, 0, 1],
 CellSize->{Inherited, 4}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mcXLam", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "1"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.801136537782967*^9, 3.801136542901239*^9}}],

Cell[BoxData[
 RowBox[{"t", "-", 
  SuperscriptBox["t", "3"], "-", 
  RowBox[{"L", " ", "t", " ", 
   SuperscriptBox["X", "3"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "3"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["X", "2"], " ", "Y"}], "-", 
  RowBox[{"2", " ", "L", " ", "t", " ", 
   SuperscriptBox["X", "2"], " ", "Y"}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "2"], " ", "Y"}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "5"], " ", "Y"}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "5"], " ", "Y"}], "-", 
  RowBox[{"L", " ", "X", " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{"2", " ", "L", " ", "t", " ", "X", " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", "X", " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{"L", " ", "t", " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", "t", " ", "X", " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", "X", " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "6"]}]}]], "Output",
 CellChangeTimes->{3.801136543352934*^9, 3.801136596052211*^9, 
  3.801136778356182*^9, 3.8011368485104017`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mcXLam", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8011367835025377`*^9, 3.8011367837109613`*^9}}],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["t", "3"], "-", 
  SuperscriptBox["t", "5"], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "5"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "5"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "4"], " ", "Y"}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "4"], " ", "Y"}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "9"], " ", "Y"}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "9"], " ", "Y"}], "+", 
  RowBox[{"L", " ", "t", " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{"L", " ", "t", " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", "X", " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "5"], " ", "X", " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"8", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"8", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", "X", " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "5"], " ", "X", " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"8", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"8", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"8", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", "t", " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", "t", " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "5"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "15"]}]}]], "Output",
 CellChangeTimes->{3.8011367844243927`*^9, 3.801136850336916*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mcXLam", "[", 
  RowBox[{"{", 
   RowBox[{"2", ",", "2", ",", "1", ",", "1"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8011367926691723`*^9, 3.8011367954781446`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "t"}], "-", 
  SuperscriptBox["t", "2"], "+", 
  SuperscriptBox["t", "3"], "+", 
  SuperscriptBox["t", "4"], "+", 
  RowBox[{"L", " ", "t", " ", 
   SuperscriptBox["X", "6"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "6"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "6"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "6"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["X", "5"], " ", "Y"}], "+", 
  RowBox[{"2", " ", "L", " ", "t", " ", 
   SuperscriptBox["X", "5"], " ", "Y"}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "5"], " ", "Y"}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "5"], " ", "Y"}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "5"], " ", "Y"}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "11"], " ", "Y"}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "11"], " ", "Y"}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "11"], " ", "Y"}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "11"], " ", "Y"}], "+", 
  RowBox[{"2", " ", "L", " ", "t", " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{"2", " ", "L", " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "2"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "2"]}], "+", 
  RowBox[{"L", " ", "t", " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "3"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "3"]}], "+", 
  RowBox[{"2", " ", "L", " ", "t", " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{"2", " ", "L", " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{"10", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "4"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "4"]}], "+", 
  RowBox[{"L", " ", "X", " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"2", " ", "L", " ", "t", " ", "X", " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "2"], " ", "X", " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", "X", " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "4"], " ", "X", " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"15", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"13", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "5"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "5"]}], "+", 
  RowBox[{"L", " ", "t", " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"L", " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"16", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"14", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{"21", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{"19", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "6"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "6"]}], "-", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"15", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"13", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{"30", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{"30", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "7"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "7"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"10", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"13", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"38", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"36", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"10", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "8"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "8"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"13", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"42", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"42", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"10", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"18", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"16", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "9"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "9"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "2"], " ", "t", " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "2"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"13", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"38", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"36", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"27", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"24", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "10"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "20"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "20"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "20"], " ", 
   SuperscriptBox["Y", "10"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", "t", " ", "X", " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "2"], " ", "X", " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "3"], " ", "X", " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "2"], " ", 
   SuperscriptBox["t", "4"], " ", "X", " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"30", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"30", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"31", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"27", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", "t", " ", 
   SuperscriptBox["X", "19"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "19"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "19"], " ", 
   SuperscriptBox["Y", "11"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "19"], " ", 
   SuperscriptBox["Y", "11"]}], "+", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"21", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"19", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"33", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"29", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "5"], " ", "t", " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"10", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "12"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "12"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "5"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{"31", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{"27", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "5"], " ", "t", " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{"12", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "13"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "13"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "4"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{"27", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{"24", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "14"]}], "-", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "14"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", "t", " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "3"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "3"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{"18", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{"16", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "15"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "9"], " ", 
   SuperscriptBox["Y", "15"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "15"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "5"], " ", "t", " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "6"], " ", "t", " ", 
   SuperscriptBox["X", "21"], " ", 
   SuperscriptBox["Y", "15"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "21"], " ", 
   SuperscriptBox["Y", "15"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "21"], " ", 
   SuperscriptBox["Y", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "21"], " ", 
   SuperscriptBox["Y", "15"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "16"]}], "-", 
  RowBox[{"10", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "16"]}], "-", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "16"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "8"], " ", 
   SuperscriptBox["Y", "16"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "16"]}], "-", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "16"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "16"]}], "-", 
  RowBox[{"5", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "14"], " ", 
   SuperscriptBox["Y", "16"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["X", "20"], " ", 
   SuperscriptBox["Y", "16"]}], "+", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "6"], " ", "t", " ", 
   SuperscriptBox["X", "20"], " ", 
   SuperscriptBox["Y", "16"]}], "+", 
  RowBox[{"12", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "20"], " ", 
   SuperscriptBox["Y", "16"]}], "+", 
  RowBox[{"8", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "20"], " ", 
   SuperscriptBox["Y", "16"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "20"], " ", 
   SuperscriptBox["Y", "16"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "17"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "17"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "17"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "17"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "7"], " ", 
   SuperscriptBox["Y", "17"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "5"], " ", "t", " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "17"]}], "-", 
  RowBox[{"11", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "17"]}], "-", 
  RowBox[{"12", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "17"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "13"], " ", 
   SuperscriptBox["Y", "17"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["X", "19"], " ", 
   SuperscriptBox["Y", "17"]}], "+", 
  RowBox[{"13", " ", 
   SuperscriptBox["L", "6"], " ", "t", " ", 
   SuperscriptBox["X", "19"], " ", 
   SuperscriptBox["Y", "17"]}], "+", 
  RowBox[{"19", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "19"], " ", 
   SuperscriptBox["Y", "17"]}], "+", 
  RowBox[{"14", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "19"], " ", 
   SuperscriptBox["Y", "17"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "19"], " ", 
   SuperscriptBox["Y", "17"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", "t", " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "18"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "18"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "18"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "4"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "6"], " ", 
   SuperscriptBox["Y", "18"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "18"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "5"], " ", "t", " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "18"]}], "-", 
  RowBox[{"9", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "18"]}], "-", 
  RowBox[{"10", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "18"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "12"], " ", 
   SuperscriptBox["Y", "18"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "18"]}], "+", 
  RowBox[{"16", " ", 
   SuperscriptBox["L", "6"], " ", "t", " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "18"]}], "+", 
  RowBox[{"24", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "18"]}], "+", 
  RowBox[{"16", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "18"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "18"], " ", 
   SuperscriptBox["Y", "18"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", "t", " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "19"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "19"]}], "-", 
  RowBox[{"6", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "19"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "11"], " ", 
   SuperscriptBox["Y", "19"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "19"]}], "+", 
  RowBox[{"13", " ", 
   SuperscriptBox["L", "6"], " ", "t", " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "19"]}], "+", 
  RowBox[{"19", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "19"]}], "+", 
  RowBox[{"14", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "19"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "17"], " ", 
   SuperscriptBox["Y", "19"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "20"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "20"]}], "-", 
  RowBox[{
   SuperscriptBox["L", "5"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "10"], " ", 
   SuperscriptBox["Y", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "20"]}], "+", 
  RowBox[{"7", " ", 
   SuperscriptBox["L", "6"], " ", "t", " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "20"]}], "+", 
  RowBox[{"12", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "20"]}], "+", 
  RowBox[{"8", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "20"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "16"], " ", 
   SuperscriptBox["Y", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "6"], " ", "t", " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "21"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "2"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "21"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "3"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "21"]}], "+", 
  RowBox[{
   SuperscriptBox["L", "6"], " ", 
   SuperscriptBox["t", "4"], " ", 
   SuperscriptBox["X", "15"], " ", 
   SuperscriptBox["Y", "21"]}]}]], "Output",
 CellChangeTimes->{3.80113679587457*^9, 3.801136857122386*^9}]
}, Open  ]]
},
WindowSize->{740, 655},
WindowMargins->{{1, Automatic}, {0, Automatic}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 20, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 578, 13, 80, "Input"],
Cell[1160, 37, 418, 9, 58, "Message"]
}, Open  ]],
Cell[1593, 49, 271, 9, 8, "Text"],
Cell[1867, 60, 6508, 172, 641, "Input"],
Cell[8378, 234, 271, 9, 8, "Text"],
Cell[8652, 245, 9520, 255, 709, "Input"],
Cell[18175, 502, 6900, 179, 522, "Input"],
Cell[25078, 683, 271, 9, 8, "Text"],
Cell[25352, 694, 5659, 146, 420, "Input"],
Cell[31014, 842, 271, 9, 8, "Text"],
Cell[31288, 853, 6864, 175, 573, "Input"],
Cell[38155, 1030, 271, 9, 8, "Text"],
Cell[38429, 1041, 1528, 48, 148, "Input"],
Cell[39960, 1091, 3509, 107, 335, "Input"],
Cell[43472, 1200, 1930, 54, 114, "Input"],
Cell[45405, 1256, 19681, 521, 1780, "Input"],
Cell[65089, 1779, 271, 9, 8, "Text"],
Cell[65363, 1790, 4258, 94, 438, "Input"],
Cell[69624, 1886, 271, 9, 8, "Text"],
Cell[CellGroupData[{
Cell[69920, 1899, 182, 4, 28, "Input"],
Cell[70105, 1905, 4665, 144, 109, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74807, 2054, 209, 5, 28, "Input"],
Cell[75019, 2061, 21949, 683, 470, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97005, 2749, 196, 4, 28, "Input"],
Cell[97204, 2755, 40977, 1249, 922, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
